Skip to content
Start here

Download Item Content.

client.AISearch.Namespaces.Instances.Items.Download(ctx, name, id, itemID, query) (*Response, error)
GET/accounts/{account_id}/ai-search/namespaces/{name}/instances/{id}/items/{item_id}/download

Downloads the raw file content for a specific item from the managed AI Search instance storage.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
name string
id string

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
itemID string
query NamespaceInstanceItemDownloadParams
AccountID param.Field[string]
ReturnsExpand Collapse
type NamespaceInstanceItemDownloadResponse interface{…}

Download Item Content.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_search"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.AISearch.Namespaces.Instances.Items.Download(
    context.TODO(),
    "my-namespace",
    "my-ai-search",
    "item_id",
    ai_search.NamespaceInstanceItemDownloadParams{
      AccountID: cloudflare.F("c3dc5f0b34a14ff8e1b3ec04895e1b22"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
Returns Examples